com.mysql.cj.protocol

## Interface Warning

All Known Subinterfaces:
  Warning

    public interface Warning

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCode()` Get warning code.
`int` `getLevel()` Get warning level.
`String` `getMessage()` Get warning message.

### Method Detail

#### getLevel

    int getLevel()

Get warning level.

Returns:
  Warning level

#### getCode

    long getCode()

Get warning code.

Returns:
  Warning code

#### getMessage

    String getMessage()

Get warning message.

Returns:
  Warning message

Copyright © 2016, 2024, Oracle and/or its affiliates.